Subject: Countryside & Small Stock Journal

From: [email-masked] (P. K. Powell )
Date: Sat, 26 Mar 1994 22:28:02 GMT

Recently, on this forum, I'd read at least one comment to the effect that
_Mother Earth News_ and _Organic Gardening_ are just NOT what they useta
be, and I agree.  About 20 years back two journals combined to what is now
_Countryside & Small Stock Journal_.  There was an ad in TMEN with the
number 800-551-5691 to call for a complimentary copy.  I was just nearly
thrilled and ecstatic that the journal is as terrific as it ever
was--and I'd recommend it to any homesteader newbie.  It IS what we old
TMENers want to see in our mailbox bi-monthly.